cURL
curl --request DELETE \
--url https://api.botpress.cloud/v1/chat/conversations/{id}/participants/{userId} \
--header 'Authorization: Bearer <token>' \
--header 'x-bot-id: <x-bot-id>' \
--header 'x-bp-authenticated-principal: <x-bp-authenticated-principal>'import requests
url = "https://api.botpress.cloud/v1/chat/conversations/{id}/participants/{userId}"
headers = {
"x-bp-authenticated-principal": "<x-bp-authenticated-principal>",
"x-bot-id": "<x-bot-id>",
"Authorization": "Bearer <token>"
}
response = requests.delete(url, headers=headers)
print(response.text)const options = {
method: 'DELETE',
headers: {
'x-bp-authenticated-principal': '<x-bp-authenticated-principal>',
'x-bot-id': '<x-bot-id>',
Authorization: 'Bearer <token>'
}
};
fetch('https://api.botpress.cloud/v1/chat/conversations/{id}/participants/{userId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{}{}removeParticipant
Remove a Participant from a Conversation.
DELETE
/
v1
/
chat
/
conversations
/
{id}
/
participants
/
{userId}
cURL
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Authenticated principal. Injected by the authentication middleware.
Bot id
Integration id
Integration alias
Caller's IP address. Injected by the edge proxy.
Response
Returns an empty object
The response is of type removeParticipantResponse · object.
Last modified on July 3, 2026
Was this page helpful?
⌘I